Subject: SJ Namo June Newsletter

From: "SJ Namo Interactive Inc." <[email-masked]>
Date: Wed, 07 Jun 2006 16:56:39 +0900

My name is Jennifer Bonamo and I am a fifth grade teacher at Indian River Elementary in Edgewater, Florida, USA.

I teach 22 students most of the school day, ages 10-12, all subject areas. For one hour each day, I work with all 150 students in our other fifth grade classrooms, teaching technology in our Media Center.

I use WebEditor to create my classroom website (http://www.msbonamo.com).   I also created WebQuests, which are educational web pages, in WebEditor and attach them to my site as an assignment.  One WebQuest was entitled "A BookQuest" and was very detailed, requiring much research.  The end product was for students to create a web page describing their five favorite books.  My students LOVED it!  I noticed that rather than choosing a theme, they enjoyed picking different backgrounds from the clipart. They would be very creative with their fonts and colors.  Each student would use a completely different design.  It was amazing how many different styles the students could come up with.  The students were so excited about creating their web page about the books that we began making other web pages also.

The students went home so excited about creating their web page that parents stopped by to tell me how thrilled they were that their son or daughter were learning so much about technology.  One parent told me that her sixteen year old daughter had an assignment in high school to create a webpage and her eleven year old daughter taught her how to do it.

I enjoy using WebEditor because it is very easy to use for students and beginning teachers, but also has site manager for those teachers who want to build a classroom site and manage it with ease.  I recently taught three workshops at the Florida Educational Technology Conference in Orlando,

Florida.  Participants exclaimed at each workshop how much they enjoyed working with WebEditor because it was very easy to understand.  Many mentioned trying other software programs and were so excited to find a program that offered all of the extras but was easy to use.

I will continue to build web pages with my students throughout the year using WebEditor.  They love WebEditor and so do I.

Click here to learn more about Namo WebEditor 2006.
Or you can follow this link to try out Namo WebEditor.
Click on this link to check out Namo WebEditor's technical documents.

Computer Times
Namo WebEditor Suite 2006 is a great bang for the buck... Hats off to everyone involved in this product.

Cnet Editor's Review
Getting started in Web site design can be costly and confusing, but we found Namo to be a time-saving tool, especially for beginners... A terrific Web editor for the price, Namo 2006 is an excellent choice.

Namo ThirdPartyStore remodelled

Check out the added product lineup with feature-of-the-month discounts. Find out more about our great selection with prices you can only meet at namo.com!

Free QuickGuide for WebEditor 2006
Did you know the QuickGuide for WebEditor is now available at namo.com? Click here to take advantage of this great offer, absolutely free!

Full Version
from $149.90

Buy Namo WebEditor 2006 suite + FreeMotion 2006 and save $50!

Comments
Please send your comments on this newsletter, suggestions, or feedback.

You have received this e-mail because you expressed interest in receiving email
when you registered. If you wish to be removed from our mailing list, click here.